%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libxml2
Version:	2.7.7
Release:	4
License:	GNU/GPL
Summary:	Library providing XML and HTML support.
URL:		http://www.xmlsoft.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
Provides:	libxml2 = %{version}-%{release}
Obsoletes:	libxml2 <= %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel
BuildRequires: pkg-config
BuildRequires: readline-devel
BuildRequires: zlib-devel

%description
This library lets you manipulate XML files. It includes support to
read, modify, and write XML and HTML files. It has DTD support,
including parsing and validation, even with complex DTDs. The output
can be a simple SAX stream or an in-memory DOM like representation.
In this case you can use the built-in XPath and XPointer
implementation to select subnodes or ranges. A flexible Input/Output
mechanism is available, with existing HTTP and FTP modules and
combined to an URI library.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	libxml2-devel = %{version}-%{release}
Obsoletes:	libxml2-devel <= %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	python
Summary:	Python bindings for the libxml2 library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	python%{PVER}
Provides:	%{name}-python%{PVER}
Obsoletes:	libxml2-python25

%description	python
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DTDs, either
at parse time or later once the document has been modified.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \;)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%configure \
--with-history \
--with-python=%_bindir/%{__python}
make %{?_smp_mflags}
gzip -9 ChangeLog

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
(cd doc/examples ; make clean ; rm -rf .deps Makefile)
gzip -9 doc/libxml2-api.xml
#rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog.gz NEWS README Copyright TODO
%doc %{_mandir}/man1/xmllint.1*
%doc %{_mandir}/man1/xmlcatalog.1*
%doc %{_mandir}/man3/libxml.3*
%{_libdir}/lib*.so.*
%{_bindir}/xmllint
%{_bindir}/xmlcatalog

%files devel
%defattr(-, root, root)
%doc %{_mandir}/man1/xml2-config.1*
%doc AUTHORS ChangeLog.gz NEWS README Copyright
%doc doc/*.html doc/html doc/*.gif doc/*.png
%doc doc/tutorial doc/libxml2-api.xml.gz
%doc doc/examples
%doc %dir %{_datadir}/gtk-doc/html/libxml2
%doc %{_datadir}/gtk-doc/html/libxml2/*.devhelp
%doc %{_datadir}/gtk-doc/html/libxml2/*.html
%doc %{_datadir}/gtk-doc/html/libxml2/*.png
%doc %{_datadir}/gtk-doc/html/libxml2/*.css
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*
%{_bindir}/xml2-config
%{_datadir}/aclocal/libxml.m4
%{_libdir}/pkgconfig/libxml-2.0.pc
%{_libdir}/*.la

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog.gz NEWS README Copyright
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py
%doc doc/*.py
%doc doc/python.html
%{_libdir}/python%{PYVER}/site-packages/libxml2.py*
%{_libdir}/python%{PYVER}/site-packages/drv_libxml2.py*
%{_libdir}/python%{PYVER}/site-packages/libxml2mod*

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7.7-4
- rebuilt, automatic pkgconfig provides generation
* Thu Aug 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7.7-3
- added Provides pkgconfig libxml-2.0 to devel package
* Tue Jul 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7.7-2
- rebuilt
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7.7-1
- Version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.7.6-3
- build against python26-2.6.3-1
* Wed Oct 28 2009 Christian Metzen <metzench@ccux-linux.de> 2.7.6-2
- readd libtool archives, not possible to remove them for now
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.7.6-1
- Version update, build against python25-2.5.4-3
* Wed Feb 25 2009 Karsten Brockmann <aracam@ccux-linux.de> 2.7.3-1
- Version update
* Thu Aug 30 2007 Karsten Brockmann <aracam@ccux-linux.de> 2.6.30-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <aracam@ccux-linux.de> 2.6.26-2
- rebuilt against python 2.5
* Mon Jul 10 2006 Karsten Brockmann <aracam@ccux-linux.de> 2.6.26-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <aracam@ccux-linux.de> 2.6.24-1
- Version update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.23-2
- Added BuildRequires
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.6.23-1
- Update to Version 2.6.23, added doc package
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.19-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.6.19-1
- Version Update to 2.6.19
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.17-2
- Recompilation against readline 5.0
* Mon Jan 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.17-1
- Version Update to 2.6. 17
* Sun Jan 09 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.16-1
- Version Update to 2.6.16
